import { CSS3DObject } from "three/examples/jsm/renderers/CSS3DRenderer";
import { Mesh, Vector3 } from "three";
export declare class CarouselItem {
    object: CSS3DObject;
    mesh: Mesh;
    index: number;
    private _options;
    private _element;
    constructor(options: any, index: any, onClick: any);
    setPosition(position: Vector3): void;
    setContent(content: any): void;
    setVisible(visible: boolean): void;
}
